Contents

# Or Operator

Vykonáva logickú OR disjunkciu dvoch výrazov.

## Syntax:

    Výsledok = Výraz1 Or Výraz2

## Paremetre:

Výsledok: Číselná premenná, ktorá obsahuje výsledok disjunkcie.

Výraz1, Výraz2: Číselné výrazy, ktoré chceš porovnávať.

Logická OR disjunkcia dvoch logických výrazov vráti hodnotu True, ak je aspoň jeden porovnávaný výraz True.

Porovnávanie po bitoch nastaví bit vo výsledku, ak je nastavený korešpondujúci bit aspoň jedného z dvoch výrazov.

## Príklad:

    Sub ExampleOr
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB Or vB > vC ' -1
        vOut = vB > vA Or vB > vC ' -1
        vOut = vA > vB Or vB > vD ' -1
        vOut = (vB > vD Or vB > vA) ' 0
        vOut = vB Or vA ' 10
    End Sub

Please support us!